---
updatedAt: 2025-09-18T21:52:05.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# eth_newPendingTransactionFilter

Creates a filter in the node, to notify when new pending transactions arrive.

> 📘 Supported on Arbitrum Nova only.

## Parameters

* `none`

## Returns

* `result` - A filter id - to be used when calling eth\_getFilterChanges.

## API Endpoint

The format of an Arbitrum Nova API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/arbitrum/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/arbitrum/`

## Example

**Request**

```
curl https://open-platform.nodereal.io/{{apiKey}}/arbitrum/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"eth_newPendingTransactionFilter","params":[],"id":67}'
```

**Result**

```
{
    "jsonrpc": "2.0",
    "id": 67,
    "result": "0xfc2c63b37f418efbb0b715e76af2c6a9"
}
```